Bug 1119100 - Missing/incorrect alternatives simlink created for jre-1.7.0-openjdk
Summary: Missing/incorrect alternatives simlink created for jre-1.7.0-openjdk
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 02:30 UTC by Phil Duby
Modified: 2015-06-30 01:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:04:49 UTC


Attachments (Terms of Use)

Description Phil Duby 2014-07-14 02:30:09 UTC
Description of problem:
Both the jre_1.7.0_openjdk_exports slave entry of the jre_1.7.0_openjdk and the jre_1.7.0_exports slave entry of the jre_1.7.0 alternatives link groups create a link for /usr/lib/jvm-exports/jre-1.7.0

The link created for jre_1.7.0_openjdk_exports should be /usr/lib/jvm-exports/jre-1.7.0_openjdk_exports

Noticed that the pattern of symlinks in /usr/lib/jvm/ and /lib/usr/jvm-exports/ did not match.  Traced to the overlap between the 2 link groups.

$ cat /var/lib/alternatives/jre_1.7.0
auto
/usr/lib/jvm/jre-1.7.0
jre_1.7.0_exports
/usr/lib/jvm-exports/jre-1.7.0

/usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386/jre
170060
/usr/lib/jvm-exports/java-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386

$ cat /var/lib/alternatives/jre_1.7.0_openjdk 
auto
/usr/lib/jvm/jre-1.7.0-openjdk
jre_1.7.0_openjdk_exports
/usr/lib/jvm-exports/jre-1.7.0

/usr/lib/jvm/jre-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386
170060
/usr/lib/jvm-exports/java-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386

**

Version-Release number of selected component (if applicable):

This is being reported specifically for 
java-1.7.0-openjdk.i686 1:1.7.0.60-2.5.0.1.fc20
jre-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386
but the same thing exists for .x86_64, and seems to have been there from the base Fedora 20 installed from the DVD iso.

How reproducible:

This has existed on all Fedora 20 installations I have checked, both 32 and 64 bit.

Steps to Reproduce:
1. ls -gGo /usr/lib/jvm-exports/jre*

Actual results:

lrwxrwxrwx. 1 29 Jun 27 18:17 /usr/lib/jvm-exports/jre -> /etc/alternatives/jre_exports
lrwxrwxrwx. 1 43 Jun 27 18:17 /usr/lib/jvm-exports/jre-1.7.0 -> /etc/alternatives/jre_1.7.0_openjdk_exports
lrwxrwxrwx. 1 45 Jun 27 18:15 /usr/lib/jvm-exports/jre-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386 -> java-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386
lrwxrwxrwx. 1 37 Jun 27 18:17 /usr/lib/jvm-exports/jre-openjdk -> /etc/alternatives/jre_openjdk_exports

Expected results:

lrwxrwxrwx. 1 29 Jun 27 18:17 /usr/lib/jvm-exports/jre -> /etc/alternatives/jre_exports
lrwxrwxrwx. 1 43 Jun 27 18:17 /usr/lib/jvm-exports/jre-1.7.0 -> /etc/alternatives/jre_1.7.0_exports
lrwxrwxrwx. 1 43 Jun 27 18:17 /usr/lib/jvm-exports/jre-1.7.0_openjdk -> /etc/alternatives/jre_1.7.0_openjdk_exports
lrwxrwxrwx. 1 45 Jun 27 18:15 /usr/lib/jvm-exports/jre-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386 -> java-1.7.0-openjdk-1.7.0.60-2.5.0.1.fc20.i386
lrwxrwxrwx. 1 37 Jun 27 18:17 /usr/lib/jvm-exports/jre-openjdk -> /etc/alternatives/jre_openjdk_exports

Additional info:

The matching java_sdk* link groups (for java.1.7.0-openjdk-devel) do not have the issue.  Searching the bug reports found some that might be related, but I did not see anything specific about the package incorrectly creating the links.  Just about updates breaking things.

Should be easy enough to manually fix, with alternatives --remove and --install of the 2 overlapping link groups, but should get the fix in the package

Comment 1 jiri vanek 2015-02-25 11:03:28 UTC
Hello, this should be fixed in: https://admin.fedoraproject.org/updates/FEDORA-2015-2389/java-1.8.0-openjdk-1.8.0.31-5.b13.fc21
whhich contains http://pkgs.fedoraproject.org/cgit/java-1.8.0-openjdk.git/commit/?h=f21&id=e170d8662d94e20ba38c02340b91323565849f1f

The build is already in stable. If this update fix your issue, please close this bug as fixed.

Comment 2 Fedora End Of Life 2015-05-29 12:21:50 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 01:04:49 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.